
@charset "UTF-8";

[v-cloak] {
  display: none !important;
}

/* ===========================
/mypage/point.html - NEW BPT BLOCK 
=========================== */
.mp_bpt_page{
  scroll-padding-top: 8em;
}
.mp_bpt_sec {
	border: 1px solid #EF1B49;
	padding: .5em 2em;
  margin: 5em 0;
}

.mp_bpt_txt{
  font-size: 1.05em;
  line-height: 1.6;
  padding: .25em 0;
}
.bpt_sec{
  padding: 2.5em 0 ;
}
.bpt_sec_wrap .bpt_sec{
  border-top: 1px solid #f00;
}

.mp_bpt_ttl {
  font-size: 1em;
  line-height: 1.4;
  text-align: left;
  color: #EF1B49;
  margin-bottom: 1.2em;
}
.mp_bpt_ttl .en{
  display: block;
  font-size: 1.9em;
  font-weight: 700;
  line-height: 1.2;
}
.mp_bpt_ttl .ja{
  display: block;
  font-size: 1.3em;
  font-weight: 600;
  margin-top: 0.2em;
}

.bpt_globe_box{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 1.5em 0 .5em;
  gap: 2rem 0;
}
.bpt_globe_box li{
  width: 46%;
}
.bpt_globe_box li:nth-child(n+3){
  width: 28%;
}
.bpt_globe_box_rank{
  font-size: 1.3em;
  font-weight: 600;
      line-height: 1.4;
  text-align: center;
  margin-top: .6em;
}
.bpt_globe_box li:nth-child(n+3) .bpt_globe_box_rank{
  font-size: .9em;
  margin-top: 0.7em;
}

.bpt_champ_box{
  text-align: center;
  padding: 1em 0;
  margin-bottom: 2em;
}
.bpt_champ_box img{
  display: block;
  width: 80%;
  margin: 0 auto .5em;
}
.bpt_champ_box p{
  font-size: 1.2em !important;
  font-weight: 600;
}
.bpt_champ_box .small{
  display: block;
}

.bpt_rank_box{
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  padding: 1em 0 0;
  text-align: center;
}
.bpt_rank_box li{
  width: 29%;
}
.bpt_rank_box .bpt_champ_box{
  width: 100%;
}
.bpt_rank_box li p{
  font-size: 1em;
  font-weight: 600;
  text-align: center;
  line-height: 1.3;
  margin-top: 0.4em;
}

@media (min-width: 768px) {

  .mp_bpt_sec {
    padding: 1em 4em 0;
    margin: 4em 0;
  }

  .bpt_globe_box{
    align-items: flex-end;
    gap: 2rem 3%;
  }
  .bpt_globe_box li {
    width: 21% !important;
  }
  .bpt_globe_box li img{
    display: block;
    width: 90%;
    margin: auto;
  }
  /* .bpt_globe_box li:nth-child(n+3) {
    width: 14%;
  } */
  .bpt_globe_box li:nth-child(n+3) .bpt_globe_box_rank {
    font-size: 1em;
  }

  .bpt_rank_box .bpt_champ_box {
    width: 42%;
    padding: 0;
    margin-bottom: 0;
  }
  .bpt_rank_box{
    align-items: flex-end;
  }
  .bpt_rank_box li {
    width: calc(50% / 3);
  }
  .bpt_champ_box img {
    width: 100%;
    margin: 0;
  }
}

@media (min-width: 1366px) {

  .bpt_sec_wrap .bpt_sec{
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  .mp_bpt_ttl_wrap{
    width: 35%;
  }
  .bpt_globe_box{
    width: 61%;
  } 
  .bpt_globe_box li {
    width: 19% !important;
  }
  .bpt_rank_box{
    width: 61%;
  }
  .bpt_globe_box,
  .bpt_rank_box{
    padding: 0;
  }
  .bpt_champ_box img {
    width: 95%;
    margin: 0 auto;
  }
  /* .bpt_globe_box {
    width: 63%;
  }
  .bpt_globe_box li {
    width: 14% !important;
  } */
}


/*_______________________________________

tuikatest
________________________________________*/

.test_back_gp {
  position: relative;
}
.test_back {
  background-image: url(/assets/img/mypage/test_back1.jpg);
  width: 100%;
  background-position: bottom;
  height: 30%;
  margin: 6% 0 4%;
}
.test_txt {
  font-family: 'Oswald', sans-serif;
  text-transform: uppercase;
  padding: 3% 13% 1.4% 16%;
  color: #000;
  font-weight: bold;
}
.test_txt li:first-of-type {
  font-size: 3vw;
}
.test_txt li:nth-of-type(2) {
  font-size: 4.4vw;
  margin-top: -1%;
}
.test_txt li:last-of-type {
  font-size: 5.6vw;
}
.test_beruto {
  position: absolute;
  top: -23%;
  left: 48%;
}
.test_beruto img {
  width: 34vw
}
.test_point {
  position: absolute;
  font-family: 'Oswald', sans-serif;
  top: 55%;
  left: 56%;
  font-size: 5vw;
}
.test_topimg {
  width: 16vw;
  padding-right: 8%;
}
.test_topimg2 {
  padding-right: 3%;
  width: 7vw;
}
.test_bpt {
  padding-left: 1%;
}
.aaa {
  display: none;
  margin: auto;
  justify-content: center;
  text-align: center;
  padding-bottom: 15vh;
}


.bpt_rank_page_ttl{
  font-size: 2.8em;
  line-height: 1.3;
  padding-top: 1em;
}
.line2{
  font-size: 1.1em;
}
/* RANKING SELECT BOX =================== */
.center-table {
  display: table;
  width: 100%;
  height: 100%;
  /* margin: 7% 0 7%; */
}
.center-cell {
  display: table-cell;
  vertical-align: middle;
}
#select-box {
  max-width: 100%;
  width: 100%;
  margin: 0 auto;
  padding: 2em 0 4em;
  text-align: center;
}
.faux-select {
  list-style-type: none;
  background: none;
  color: #fff;
  text-align: left;
  cursor: pointer;
  width: 90%;
  font-size: 4vw;
  display: inline-block;
  position: relative;
  z-index: 10;
}
.vw_base .faux-select{
  font-size: 1.3em;
}
.selected-option {
  padding: 1.2em 0;
  text-indent: .5em;
  position: relative;
  font-weight: 600;
  text-align: center;
  border: 2px solid #fff;
  background-color: #000;
}
.selected-option::before {
  content: '';
  width: 0;
  height: 0;
  border-left: 0.5em solid transparent;
  border-right: 0.5em solid transparent;
  border-top: 0.8em solid #fff;
  position: absolute;
  top: 0;
  bottom: 0;
  right: 1em;
  margin: auto;
  /* transition: all ease 0.25s; */
}
.open .selected-option:before {
  border-left: 0.5em solid transparent;
  border-right: 0.5em solid transparent;
  border-bottom: 0.8em solid #fff;
  border-top: 0;
}
.options {
  position: absolute;
  z-index: -1;
  left: -2px;
  top: 50%;
  display: block;
  list-style-type: none;
  padding: 0;
  margin: auto;
  background: transparent;

  width: calc(100% + 4px);
  max-height: 0px;
  overflow: hidden;
  border: 2px solid;
  border-top: none !important;
  border-bottom: none !important;  

  opacity: 0;
  transition: all ease 0.25s;
  .options:last-of-type {
    border-bottom: 0;
  }
}
/* .options:last-of-type {
  border-bottom: 0;
} */

.options.open {
  top: calc(100% + 2px);
  background: none;
  max-height: 9999px;
  opacity: 1;
  /* margin-top: 4.3%; */
  /* border: 3px solid #000; */
  /* border-top: 0px solid transparent;
  border: solid 1px;
  border-top: none !important; */
}
.options li {
  font-size: .85em;
  padding: 1.25em 0;
  background: black;
  line-height: 1;
  opacity: 0.8;
  border-bottom: 2px solid #fff;
  transition: opacity .5s;
}
.options li:hover {
  /* background:rgba(255,255,255,0.2); */
  opacity: 1;
}

@media (min-width: 769px) {
  #select-box {
    padding: 2em 0 9em;
  }
  .faux-select {
    font-size: min(2vw, 28px);
    max-width: 26em;
  }
  .vw_base .faux-select{
    font-size: 1.6em;
    max-width: 30em;
  }
  .selected-option {
    border: 1px solid #fff;
  }
  .options {
    left: -1px;
    width: calc(100% + 2px);
    border: 1px solid;
    border-top: none !important;
    border-bottom: none !important;
  }
  .options.open {
    top: calc(100% + 1px);
  }
  .options li {
    border-bottom: 1px solid #fff;
  }
}


.pc {
  width: 80%;
  margin: auto;
}
.point-rank-date .point-rank-date-positon {
  width: 90%;
  padding: 4% 0 4%;
}

/*_______________________________________________*/
#pref-past section table {
  border: 1px solid #ccc;
  font-size: 1em;
  text-align: center;
  width: 100% !important;
}
/* #pref-past section thead th {
  background: #f6f6f6;
  border-right: 1px solid #ccc;
  border-bottom: 1px solid #ccc;
  text-align: center;
  padding: 1em .4em;
  font-size: 1.15em;
} */
#pref-past section tbody th,
#pref-past section tbody td {
  border-right: 1px solid #ccc;
  border-bottom: 1px solid #ccc;
  font-family: 'Oswald', sans-serif;
  font-weight: 400;
  padding: 1em .4em;
  font-size: 1.1em;
}
#pref-past section tbody tr.zan {
  background: #ffebeb;
  color: #ff0000;
  font-weight: bold;
}
#pref-past section tbody td p {
  font-size: 1em;
  line-height: 1.7;
}
/* #pref-past section tbody td span {
  display: block;
  font-size: 1.1em;
} */
#pref-past section td input {
  text-align: center;
  border: none !important;
  font-size: 1em;
}
#pref-past section .form-caution {
  padding: 0 0 1.5em;
}
#pref-past section .form-caution li {
  font-size: .9em;
}
#pref-past section .form-operate {
  margin-top: 1em;
}
#pref-past section .form-operate li input {
  padding: .5em 1em;
  font-size: .7em;
  background: none;
  color: #000;
  font-weight: normal;
}
#pref-past section form {
  margin-bottom: 2em;
}
#pref-past section form:last-child {
  margin-bottom: 0;
}
.reserve-modal {
  height: 80vh;
  overflow-y: scroll;
}
.modal-content #pref-past section .form-postion {
  position: relative;
  margin-bottom: 0 !important;
}
.modal-content #pref-past section .reserve-table {
  border-top: 1px dotted #aaa;
  padding: 2em 0 2em;
}
.modal-content #pref-past section table {
  border: none;
}
.modal-content #pref-past section th,
.modal-content #pref-past section td {
  width: 100%;
  display: block;
  border: none;
  line-height: 1.7;
}
.modal-content #pref-past section th {
  text-align: center;
  border: none;
  padding: 0 0 .5em;
  font-size: 1em;
  color: #34ceca;
  letter-spacing: .5px
}
.lesson-modal #pref-past section th {
  color: #ff5543
}
.modal-content #pref-past section td {
  font-size: 1.2em;
  padding: 0 0 1.25em;
}
.modal-content #pref-past section tr:last-child td {
  padding: 0 0;
}
.modal-content #pref-past section th span,
.modal-content #pref-past section td span {
  display: inline;
  padding-left: 1em;
}
.modal-content #pref-past section td input {
  text-align: center;
  border: none !important;
}
.modal-content #pref-past section .form-caution {
  padding: 0em 0 1em;
}
.modal-content #pref-past section .form-caution li {
  font-size: .75em;
}
.modal-content #pref-past section .form-operate {
  margin-top: 0;
}
.modal-content #pref-past section .form-operate li {
  font-size: 1.6em;
}
.modal-content #pref-past section .form-operate li input {
  padding: 1.2em .3em;
  font-size: .6em;
  font-family: 'Oswald', sans-serif;
  position: absolute;
  left: .2em;
  top: 50%;
  transform: translate(-0%, -50%);
  border-radius: 50%;
  font-weight: 200;
  background: none;
  color: #000;
  border: 1px solid #000;
  width: 50px;
  height: 50px;
  text-align: center;
}
@media screen and (min-width: 768px) {
  .modal-content #pref-past section .form-operate li input {
    width: 60px;
    height: 60px;
    text-align: center;
  }
}
@media screen and (max-width: 768px) {
  .test_back {
    background-image: url(/assets/img/mypage/test_back.jpg);
  }
  /*
  .test_back_gp{
    position: relative;
  }
  .test_back{
      background-image: url(/assets/img/mypage/test_back.jpg);
      width: 100%;
      background-position: bottom;
      height: 30%;
      margin: 6% 0 4%;
  }
  */
  .test_txt {
    top: 55%;
    left: 60%;
    padding: 3% 13% 3% 9%;
    font-size: 8vw;
  }
  .test_txt li:first-of-type {
    font-size: 5vw;
  }
  .test_txt li:nth-of-type(2) {
    font-size: 9vw;
    margin-top: -2%;
  }
  .test_txt li:last-of-type {
    font-size: 8vw;
  }
  .test_beruto {
    top: -7%;
    left: 50.3%;
  }
  .test_beruto img {
    width: 44vw;
  }
  .test_point {
    position: absolute;
    font-family: 'Oswald', sans-serif;
    top: 59%;
    left: 57%;
    font-size: 8.8vw;
  }
  /* .faux-select {
    padding: 1.2em 0 1.2em;
    border: 2px solid #fff;
    width: 80%;
    font-size: 4vw;
  } */
  /* .faux-select:before {
    top: 1.6em;
    right: 1.4em;
  } */
  /* .options li {
    padding: 1.2em 0 1.2em;
  } */
  /* .test_back {
    margin: 9% 0 9%;
  }
  #select-box {
    padding: 2em 0 4em;
  } */
  .test_txt {
    /* top: 55%; */
    /* left: 60%; */
    padding: 3% 13% 3% 9%;
    /* font-size: 8vw; */
  }
  .test_topimg {
    width: 16vw !important;
    padding-right: 8%;
  }
  .test_topimg2 {
    width: 11.6vw !important;
    padding-right: 26% !important;
  }
  /* .options.open {
    margin-top: 7.8%;
    width: 101.1%;
    border-top: none !important;
  } */
  /* .options {
    left: -0.1em;
  } */
  .pc {
    padding: 0 1.75em;
    width: 100%;
  }
  /* .selected-option {
    padding-right: 4%;
  } */
  .test_back {
    background-position: 70%;
  }
  .test_txt li:nth-of-type(2) {
    font-size: 8.4vw;
  }
}





/* BPT POINT NAVIGATION ========== */
.bpt_nav_list{
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  text-align: center;
  font-family: 'Oswald', sans-serif;
  width: 95%;
  padding: 2.5em 0 1.8em;
  margin: auto;
  max-width: 40em;
}

.bpt_nav_list_box a {
  display: block;
  font-size: 1.2em;
  color: #fff;
  border-left: 1px #aaaaaa solid;
}
.bpt_nav_list_box:last-child a {
  border-right: 1px solid #fff;
}

.mp_bpt_page .bpt_nav_list_box._point a,
.bpt_ranking_page .bpt_nav_list_box._ranking a,
.bpt_record_page .bpt_nav_list_box._records a{
  color: #ff5543;
}
@media screen and (min-width: 769px) {
  .bpt_nav_list {
    padding: 3em 0 4em;
  }
  .bpt_nav_list_box a {
    font-size: 1.3em;
  }
}


/* ===========================
/mypage/record.html
=========================== */
.bpt_past_table {
  border: 1px solid #ccc;
  font-size: 1em;
  text-align: center;
  width: 100% !important;
}
.bpt_past_table th{
  width: 15%;
  font-family: 'Oswald', sans-serif;
  font-weight: 400;
  font-size: 1.1em;
  text-align: center;
  padding: 1.25em .6em;
  border-right: 1px solid #999;
  border-bottom: 1px solid #999;
  background: #444;
}
.bpt_past_table td{
  font-family: 'Oswald', sans-serif;
  font-weight: 400;
  font-size: 1em;
  padding: .8em .8em;
  border-right: 1px solid #999;
  border-bottom: 1px solid #999;
}

.bpt_trophy_list{
  display: flex;
  flex-direction: column;
  gap: 1.1em;
}
.bpt_trophy_list_box{
  display: flex;
  align-items: center;
  gap: .8em;
}
.bpt_trophy_list > .bpt_trophy_list_box:only-child {
  padding: .5em 0;
}
.bpt_trophy_img{
  width: 26%;
  flex-shrink: 0;
  aspect-ratio: 1 / 1;
}
.bpt_trophy_img._award {
  padding: 0 .4em;
}
.bpt_trophy_img img{
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.bpt_trophy_img .bpt_medal_box{
  width: 100%;
}
.bpt_trophy_desc {
  font-size: 1.1em ;
  line-height: 1.4 ;
  text-align: left;
}
.bpt_trophy_desc ._point{
  font-size: 1.1em ;
}

._champ .bpt_trophy_img {
  width: 44%;
  flex-shrink: 0;
  aspect-ratio: 2 / 1;
}
._champ .bpt_trophy_desc {
  margin-bottom: 0.3em;
}


@media screen and (min-width: 769px) {
  .bpt_past_table {
    font-size: 1.2em;
  }
  .bpt_past_table th {
    width: 16%;
    font-size: 1.3em;
  }
  .bpt_past_table td {
    padding: 1.5em 2em;
  }
  .bpt_trophy_list {
    flex-direction: row;  
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 2em 0%;
  }
  .bpt_trophy_list_box{
    width: 49%;
  }
  .bpt_trophy_desc {
    font-size: 1em;
  }

}